# generated by cabal-rpm-2.0.0
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name lens-family-core
%global pkgver %{pkg_name}-%{version}

%global _devel %{?ghc_devel_prof}%{!?ghc_devel_prof:devel}

Name:           ghc-%{pkg_name}
Version:        1.2.3
Release:        1%{?dist}
Summary:        Haskell 98 Lens Families

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-%{_devel}
BuildRequires:  ghc-containers-%{_devel}
BuildRequires:  ghc-transformers-%{_devel}
# End cabal-rpm deps

%description
This package provides first class(†) functional references. In addition to the
usual operations of getting, setting and composition, plus integration with the
state monad, lens families provide some unique features:

* Polymorphic updating

* Traversals

* Cast projection functions to read-only lenses

* Cast "toList" functions to read-only traversals

* Cast semantic editor combinators to modify-only traversals.

(†) For optimal first-class support use the 'lens-family' package with rank 2 /
rank N polymorphism. "Lens.Family.Clone" allows for first-class support of
lenses and traversals for those who require Haskell 98.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%if 0%{?fedora} < 31 || 0%{?rhel} < 8
%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Wed Feb  5 2020 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.2.3-1
- spec file generated by cabal-rpm-2.0.0
